# $Revision: 1.199 $, $Date: 2010/06/06 08:53:08 $
#
# Conditional build:
%bcond_with	largefiles	# enable largefiles (disables tagged hash)
#
%include	/usr/lib/rpm/macros.perl
Summary:	INN, the InterNet News System (news server)
Summary(de.UTF-8):	das InterNet News System (News-Server)
Summary(es.UTF-8):	INN, InterNet News System (servidor news)
Summary(fr.UTF-8):	INN, le système InterNet News (serveur de news)
Summary(pl.UTF-8):	INN, serwer nowinek
Summary(pt_BR.UTF-8):	INN, InterNet News System (servidor news)
Summary(tr.UTF-8):	INN, InterNet Haber Sistemi (haber sunucu)
Name:		inn
Version:	2.4.6
Release:	6
License:	distributable
Group:		Networking/Daemons
Source0:	ftp://ftp.isc.org/isc/inn/%{name}-%{version}.tar.gz
# Source0-md5:	50741ff1b9c230af9109aafc7e98b1a2
Source1:	%{name}-default-active
Source2:	%{name}-default-distributions
Source3:	%{name}-default-newsgroups
Source4:	%{name}.crontab
Source5:	%{name}.init
Source6:	%{name}-cnfsstat.cron
Source7:	%{name}.logrotate
Source8:	getlist.1.pl
Source9:	%{name}d.8.pl
Patch0:		%{name}-PLD.patch
Patch1:		%{name}-install.patch
Patch2:		%{name}-db.patch
Patch3:		%{name}-ac25x.patch
Patch4:		%{name}-ac253.patch
Patch5:		%{name}-setgid.patch
Patch6:		%{name}-db4.patch
Patch7:		%{name}-config.patch
Patch8:		%{name}-libdir.patch
Patch9:		%{name}-asneeded.patch
Patch10:	%{name}-nnrpd_no_trace.patch
URL:		https://www.isc.org/software/inn/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	db-devel
BuildRequires:	flex
BuildRequires:	heimdal-devel
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post):	/bin/kill
Requires(post):	/usr/bin/getent
Requires(post):	/usr/sbin/usermod
Requires(post):	fileutils
Requires(post):	sed >= 4.0
Requires(post):	textutils
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-libs = %{version}-%{release}
Requires:	/etc/cron.d
Requires:	awk
Requires:	cleanfeed >= 0.95.7b-4
Requires:	procps
Requires:	psmisc >= 20.1
Requires:	rc-scripts >= 0.4.1.23
Requires:	textutils
Requires:	util-linux
Provides:	nntpserver
Obsoletes:	leafnode
Obsoletes:	leafnode+
Conflicts:	logrotate < 3.7-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/news
%define		_includedir	%{_prefix}/include/inn

# /usr/bin/pullnews doesn't provide perl(Net::NNTP) - perl-libnet does.
%define		_noautoprov	'perl(Net::NNTP)'
# it's necessary only for sample nnrpd_auth.pl hook
%define		_noautoreq	'perl(CDB_File)'

%description
INN is a news server, which can be set up to handle USENET news, as
well as private "newsfeeds". There is a *LOT* of information about
setting up INN in %{_docdir}/%{name}-%{version} -- read it.

If you want innreport to generate graphs you need perl-GD package.

%description -l es.UTF-8
INN es un servidor de news, que puede ser configurado para manipular
USENET news bien como newsfeeds privadas. Existe un *Montón* de
información sobre la configuración del INN en
%{_docdir}/%{name}-%{version} -- léela.

%description -l pl.UTF-8
INN jest serwerem news, który można skonfigurować do obsługi USENET-u,
jak również do obsługi ,,prywatnych'' grup w sieciach intranetowych.
Całe mnóstwo pożytecznych informacji o konfigurowaniu INN-a znajdziesz
w katalogu %{_docdir}/%{name}-%{version}.

Jeśli chcesz żeby innreport generował wykresy musisz zainstalować
pakiet perl-GD.

%description -l pt_BR.UTF-8
INN é um servidor de news, que pode ser configurado para manipular
USENET news bem como newsfeeds privadas. Existe um *MONTE* de
informações sobre a configuração do INN em
%{_docdir}/%{name}-%{version} -- leia.

%package libs
Summary:	INN libraries
Summary(de.UTF-8):	INN-Library
Summary(fr.UTF-8):	Bibliothèque INN
Summary(pl.UTF-8):	Biblioteki do INN-a
Group:		Libraries

%description libs
This library is needed by several programs that interface to INN, such
as newsgate or tin.

%description libs -l de.UTF-8
Diese Library wird von mehreren Programmen benötigt, die mit INN
kommunizieren, etwa newsgate oder tin.

%description libs -l fr.UTF-8
Cette bibliothèque est nécessaire à plusieurs programmes qui
s'interfacent avec INN, comme newsgate ou tin.

%description libs -l pl.UTF-8
Biblioteka niezbędna do działania kilku programów współpracujących z
INN-em, takich jak newsgate czy tin.

%description libs -l tr.UTF-8
INN ile arayüz gerektiren programlar için (newsgate, tin gibi) gereken
bir kitaplıktır.

%package devel
Summary:	INN header files and development documentations
Summary(de.UTF-8):	INN-Library
Summary(es.UTF-8):	Biblioteca INN
Summary(fr.UTF-8):	Bibliothèque INN
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja programisty do inn-a
Summary(pt_BR.UTF-8):	Biblioteca INN
Summary(tr.UTF-8):	INN kitaplığı
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	db-devel

%description devel
Header files and developer documentations for INN libraries.

%description devel -l de.UTF-8
Diese Library wird von mehreren Programmen benötigt, die mit INN
kommunizieren, etwa newsgate oder tin.

%description devel -l es.UTF-8
Esta biblioteca es requerida por varios programas que tienen interface
con INN, como el newsgate o tin.

%description devel -l fr.UTF-8
Cette bibliothèque est nécessaire à plusieurs programmes qui
s'interfacent avec INN, comme newsgate ou tin.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do bibliotek INN-a.

%description devel -l pt_BR.UTF-8
Esta biblioteca é requerida por vários programas que tem interface com
o INN, como o newsgate ou tin.

%description devel -l tr.UTF-8
INN ile arayüz gerektiren programlar için (newsgate, tin gibi) gereken
bir kitaplıktır.

%package static
Summary:	Static INN libraries
Summary(es.UTF-8):	Static libraries for inn development
Summary(pl.UTF-8):	Biblioteki statyczne do INN
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com inn
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static INN libraries.

%description static -l es.UTF-8
Static libraries for inn development

%description static -l pl.UTF-8
Biblioteki statyczne do INN.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com inn

%package -n inews
Summary:	Inews program (used for posting by inn and trn)
Summary(de.UTF-8):	Inews-Programm (für die Zustellung mit inn und trn)
Summary(es.UTF-8):	Programa Inews (usado para franqueo por inn y trn)
Summary(fr.UTF-8):	Programme inews (utilisé par inn et trn pour poster)
Summary(pl.UTF-8):	Inews - program do wysyłania artykułów (używany przez inn i trn)
Summary(pt_BR.UTF-8):	Programa Inews (usado para postagem pelo inn e trn)
Summary(tr.UTF-8):	Haber biçimlendirme programı
Group:		Networking/News
Requires:	%{name}-libs = %{version}-%{release}

%description -n inews
The inews program is used by some news readers to post news. It does
some consistency checking and header reformatting, and forwards the
article on to the news server specified in inn.conf.

%description -n inews -l de.UTF-8
Das Programm 'inews' wird von manchen Newsreadern zum Senden von
Nachrichten verwendet. Es führt eine Konsistenzprüfung und Header-Neuf
ormatierung aus und leitet die Nachricht an den in 'inn.conf'
angegebenen News-Server weiter.

%description -n inews -l es.UTF-8
El programa inews se usa por algunos lectores de news para postar
mensajes. Hace alguna consistencia chequeando y reformateando headers,
y enviando el artículo para el servidor de news especificado en el
inn.conf.

%description -n inews -l fr.UTF-8
Le programme inews est utilisé par certains lecteurs de news pour
poster les articles. Il effectue des vérifications et un reformatage
des en-têtes et fait suivre l'article au serveur de news spécifié dans
inn.conf.

%description -n inews -l pl.UTF-8
Inews jest używany przez niektóre czytniki news do wysyłania
artykułów. Sprawdza budowę artykułu, przepisuje nagłówek i wysyła do
serwera news wyszczególnionego w inn.conf.

%description -n inews -l pt_BR.UTF-8
O programa inews é usado por alguns leitores de news para postar
mensagens. Ele faz alguma consistência checando e reformatando
headers, e enviando o artigo para o servidor de news especificado no
inn.conf.

%description -n inews -l tr.UTF-8
inews programı bazı haber okuyucular tarafından haber yollamak
amacıyla kullanılır. Program bazı güvenlik denetimleri ve başlık
biçimlendirmesi yaparak ve inn.conf dosyasında belirtilen haber
sunucuya makaleyi yollar.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

touch innfeed/*.[ly]

%build
%{__libtoolize}
cp -f /usr/share/automake/config.* support
%{__aclocal}
%{__autoconf}
%{__autoheader} -I include
%configure \
	CPPFLAGS="-D_GNU_SOURCE" \
	--with-news-user=news \
	--with-news-group=news \
	--with-news-master=news \
	--with-control-dir=%{_datadir}/news/control \
	--with-db-dir=/var/lib/news \
	--with-etc-dir=%{_sysconfdir} \
	--with-filter-dir=%{_datadir}/news/filter \
	--with-log-dir=/var/log/news \
	--with-run-dir=/var/run/news \
	--with-spool-dir=/var/spool/news \
	--with-lib-dir=%{_datadir}/news \
	--with-tmp-dir=/var/spool/news/incoming/tmp \
	--with-perl \
	--with-sendmail=/usr/lib/sendmail \
	--with-openssl=%{_prefix} \
	--with-berkeleydb=%{_prefix} \
	%{?with_largefiles:--enable-largefiles} \
	%{!?with_largefiles:--enable-tagged-hash} \
	--enable-shared \
	--enable-static \
	--enable-libtool \
	--enable-ipv6

%{__make} all \
	PATHFILTER=%{_datadir}/news/filter \
	PATHCONTROL=%{_datadir}/news/control

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{news/pgp,rc.d/init.d,cron.d,logrotate.d} \
	$RPM_BUILD_ROOT{%{_libdir}/news/{rnews,auth/generic},%{_includedir}} \
	$RPM_BUILD_ROOT{%{_bindir},%{_datadir}/news/{control,filter,auth}} \
	$RPM_BUILD_ROOT%{_mandir}/{man{1,3,5,8},pl/man{1,8}} \
	$RPM_BUILD_ROOT/var/{run/news,lib/news/backoff,log/{news,archive/news}} \
	$RPM_BUILD_ROOT/var/spool/news/{articles,overview,incoming/{tmp,bad},outgoing,archive,uniover,innfeed,cycbuffs} \
	$RPM_BUILD_ROOT/home/services/news

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PATHFILTER=%{_datadir}/news/filter \
	PATHCONTROL=%{_datadir}/news/control \
	PATHRNEWS=%{_libdir}/news/rnews \
	PATHAUTHPASSWD=%{_libdir}/news/auth/passwd \
	PATHAUTHRESOLV=%{_libdir}/news/auth/resolv

install samples/readers.conf $RPM_BUILD_ROOT%{_sysconfdir}/readers.conf

install %{SOURCE1} $RPM_BUILD_ROOT/var/lib/news/active
install %{SOURCE2} $RPM_BUILD_ROOT/var/lib/news/distributions
install %{SOURCE3} $RPM_BUILD_ROOT/var/lib/news/newsgroups
install %{SOURCE4} $RPM_BUILD_ROOT/etc/cron.d/inn
install %{SOURCE5} $RPM_BUILD_ROOT/etc/rc.d/init.d/inn
install %{SOURCE6} $RPM_BUILD_ROOT%{_bindir}/cnfsstat.cron
install %{SOURCE7} $RPM_BUILD_ROOT/etc/logrotate.d/inn
install %{SOURCE8} $RPM_BUILD_ROOT%{_mandir}/pl/man1/getlist.1
install %{SOURCE9} $RPM_BUILD_ROOT%{_mandir}/pl/man8/innd.8

rm -f $RPM_BUILD_ROOT/var/lib/news/history

umask 002
:> $RPM_BUILD_ROOT%{_sysconfdir}/subscriptions
touch $RPM_BUILD_ROOT/var/lib/news/.news.daily
touch $RPM_BUILD_ROOT/var/lib/news/active.times
touch $RPM_BUILD_ROOT/var/lib/news/history

LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir} $RPM_BUILD_ROOT%{_bindir}/makehistory \
	-a $RPM_BUILD_ROOT/var/lib/news/active \
	-i -r -f $RPM_BUILD_ROOT/var/lib/news/history || :

# Fix perms in sample directory to avoid bogus dependencies
find samples -name "*.in" -exec chmod a-x {} \;

# remove files in conflict with cleanfeed
rm -f $RPM_BUILD_ROOT%{_datadir}/news/filter/filter_innd.*

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc
rm -f $RPM_BUILD_ROOT%{_bindir}/rc.news

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "`getent passwd news | cut -d: -f6`" = "/var/spool/news" ]; then
	/usr/sbin/usermod -d /home/services/news news
fi

umask 022

%{_bindir}/innupgrade %{_sysconfdir}

cd /var/lib/news
if [ ! -f /var/lib/news/history ]; then
	# makehistory fails on uninitialized spool(?) - create empty history in such case
	%{_bindir}/makehistory || { echo "Creating empty history"; :> history; }
	chown news:news history
	chmod 664 history
	%{_bindir}/makedbz -s `wc -l < history` -f history
	for i in dir hash index pag; do
		[ -f history.n.$i ] && mv history.n.$i history.$i
	done
	chown news:news history.*
	chmod 644 history.*
fi

if [ ! -f /var/lib/news/.news.daily ]; then
	:> /var/lib/news/.news.daily
	chown news:news /var/lib/news/.news.daily
	chmod 664 /var/lib/news/.news.daily
fi

/sbin/chkconfig --add inn
%service inn restart "inn news server"

%preun
if [ "$1" = "0" ]; then
	%service inn stop
	/sbin/chkconfig --del inn
fi

%triggerpostun -- inn < 2.4.0
cp -af %{_sysconfdir}/inn.conf{,.rpmorig}
sed -e 's/^\(listenonipv6\)/#\1/;s/^bindipv6address/bindaddress6/;s/^sourceipv6address/sourceaddress6/' \
	%{_sysconfdir}/inn.conf.rpmorig > %{_sysconfdir}/inn.conf

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CONTRIBUTORS ChangeLog INSTALL LICENSE NEWS README TODO doc/[Icehs]*
%attr(700,news,news) %dir /home/services/news

# DB
%attr(770,root,news) %dir /var/lib/news
%attr(770,root,news) %dir /var/lib/news/backoff
%attr(664,root,news) %config(noreplace) %verify(not md5 mtime size) /var/lib/news/active
%attr(664,root,news) %config(noreplace) %verify(not md5 mtime size) /var/lib/news/active.times
%attr(664,root,news) %config(noreplace) %verify(not md5 mtime size) /var/lib/news/distributions
%attr(664,root,news) %config(noreplace) %verify(not md5 mtime size) /var/lib/news/newsgroups
%attr(664,news,news) %ghost /var/lib/news/.news.daily
%attr(664,news,news) %ghost /var/lib/news/history

# LOGS
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/inn
%attr(770,news,news) %dir /var/run/news

# SPOOL
%attr(771,root,news) %dir /var/spool/news
%attr(770,root,news) %dir /var/spool/news/archive
%attr(770,root,news) %dir /var/spool/news/articles
%attr(770,root,news) %dir /var/spool/news/cycbuffs
%attr(770,root,news) %dir /var/spool/news/incoming
%attr(770,root,news) %dir /var/spool/news/incoming/bad
%attr(770,root,news) %dir /var/spool/news/incoming/tmp
%attr(770,root,news) %dir /var/spool/news/innfeed
%attr(770,root,news) %dir /var/spool/news/outgoing
%attr(770,root,news) %dir /var/spool/news/overview
%attr(770,root,news) %dir /var/spool/news/uniover

# CRON PARTS
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/cron.d/inn

# RC-SCRIPT
%attr(754,root,root) /etc/rc.d/init.d/inn

# CONFIGS (INN is a one big config ;-)
%attr(755,root,news) %dir %{_sysconfdir}
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/actsync.cfg
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/actsync.ign
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/buffindexed.conf
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/control.ctl
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/cycbuff.conf
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/distrib.pats
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/expire.ctl
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/incoming.conf
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/inn.conf
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/innfeed.conf
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/innreport.conf
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/innwatch.ctl
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/moderators
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/motd.news
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/news2mail.cf
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/newsfeeds
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nnrpd.track
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nntpsend.ctl
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ovdb.conf
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/overview.fmt
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/passwd.nntp
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/radius.conf
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/readers.conf
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sasl.conf
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/storage.conf
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/subscriptions
%attr(755,root,news) %dir %{_sysconfdir}/pgp

%attr(755,root,news) %dir %{_datadir}/news
%dir %{_datadir}/news/control
%dir %{_datadir}/news/filter

%config(noreplace) %verify(not md5 mtime size) %{_datadir}/news/innreport_inn.pm
%config(noreplace) %verify(not md5 mtime size) %{_datadir}/news/innshellvars
%config(noreplace) %verify(not md5 mtime size) %{_datadir}/news/innshellvars.pl
%config(noreplace) %verify(not md5 mtime size) %{_datadir}/news/innshellvars.tcl

%config(noreplace) %verify(not md5 mtime size) %{_datadir}/news/filter/INN.py
%config(noreplace) %verify(not md5 mtime size) %{_datadir}/news/filter/filter_nnrpd.pl
%config(noreplace) %verify(not md5 mtime size) %{_datadir}/news/filter/filter.tcl
%config(noreplace) %verify(not md5 mtime size) %{_datadir}/news/filter/nnrpd_auth.pl
%config(noreplace) %verify(not md5 mtime size) %{_datadir}/news/filter/nnrpd_auth.py
%config(noreplace) %verify(not md5 mtime size) %{_datadir}/news/filter/startup_innd.pl
%config(noreplace) %verify(not md5 mtime size) %{_datadir}/news/filter/startup.tcl

%attr(755,root,root) %{_datadir}/news/control/checkgroups.pl
%attr(755,root,root) %{_datadir}/news/control/ihave.pl
%attr(755,root,root) %{_datadir}/news/control/newgroup.pl
%attr(755,root,root) %{_datadir}/news/control/rmgroup.pl
%attr(755,root,root) %{_datadir}/news/control/sendme.pl
%attr(755,root,root) %{_datadir}/news/control/sendsys.pl
%attr(755,root,root) %{_datadir}/news/control/senduuname.pl
%attr(755,root,root) %{_datadir}/news/control/version.pl

%attr(755,root,news) %dir %{_libdir}/news
%dir %{_libdir}/news/auth
%dir %{_libdir}/news/auth/generic
%dir %{_libdir}/news/auth/passwd
%dir %{_libdir}/news/auth/resolv
%dir %{_libdir}/news/rnews

%attr(755,root,root) %{_libdir}/news/auth/passwd/*
%attr(755,root,root) %{_libdir}/news/auth/resolv/*
%attr(755,root,root) %{_libdir}/news/rnews/*

# SUID
%attr(4754,root,news) %{_bindir}/inndstart
%attr(4754,root,news) %{_bindir}/startinnfeed
%attr(4754,root,news) %{_bindir}/rnews

# BINARIES
%attr(755,root,root) %{_bindir}/actmerge
%attr(755,root,root) %{_bindir}/actsync
%attr(755,root,root) %{_bindir}/actsyncd
%attr(755,root,root) %{_bindir}/archive
%attr(755,root,root) %{_bindir}/batcher
%attr(755,root,root) %{_bindir}/buffchan
%attr(755,root,root) %{_bindir}/cnfsheadconf
%attr(755,root,root) %{_bindir}/cnfsstat
%attr(755,root,root) %{_bindir}/cnfsstat.cron
%attr(755,root,root) %{_bindir}/controlbatch
%attr(755,root,root) %{_bindir}/controlchan
%attr(755,root,root) %{_bindir}/convdate
%attr(755,root,root) %{_bindir}/ctlinnd
%attr(755,root,root) %{_bindir}/cvtbatch
%attr(755,root,root) %{_bindir}/docheckgroups
%attr(755,root,root) %{_bindir}/expire
%attr(755,root,root) %{_bindir}/expireover
%attr(755,root,root) %{_bindir}/expirerm
%attr(755,root,root) %{_bindir}/fastrm
%attr(755,root,root) %{_bindir}/filechan
%attr(755,root,root) %{_bindir}/getlist
%attr(755,root,root) %{_bindir}/gpgverify
%attr(755,root,root) %{_bindir}/grephistory
%attr(755,root,root) %{_bindir}/imapfeed
%attr(755,root,root) %{_bindir}/inncheck
%attr(755,root,root) %{_bindir}/innconfval
%attr(755,root,root) %{_bindir}/innd
%attr(755,root,root) %{_bindir}/inndf
%attr(755,root,root) %{_bindir}/innfeed
%attr(755,root,root) %{_bindir}/innmail
%attr(755,root,root) %{_bindir}/innreport
%attr(755,root,root) %{_bindir}/innstat
%attr(755,root,root) %{_bindir}/innupgrade
%attr(755,root,root) %{_bindir}/innwatch
%attr(755,root,root) %{_bindir}/innxbatch
%attr(755,root,root) %{_bindir}/innxmit
%attr(755,root,root) %{_bindir}/mailpost
%attr(755,root,root) %{_bindir}/makedbz
%attr(755,root,root) %{_bindir}/makehistory
%attr(755,root,root) %{_bindir}/mod-active
%attr(755,root,root) %{_bindir}/news.daily
%attr(755,root,root) %{_bindir}/news2mail
%attr(755,root,root) %{_bindir}/ninpaths
%attr(755,root,root) %{_bindir}/nnrpd
%attr(755,root,root) %{_bindir}/nntpget
%attr(755,root,root) %{_bindir}/nntpsend
%attr(755,root,root) %{_bindir}/ovdb_*
%attr(755,root,root) %{_bindir}/overchan
%attr(755,root,root) %{_bindir}/perl-nocem
%attr(755,root,root) %{_bindir}/pgpverify
%attr(755,root,root) %{_bindir}/procbatch
%attr(755,root,root) %{_bindir}/prunehistory
%attr(755,root,root) %{_bindir}/pullnews
%attr(755,root,root) %{_bindir}/scanlogs
%attr(755,root,root) %{_bindir}/scanspool
%attr(755,root,root) %{_bindir}/send-ihave
%attr(755,root,root) %{_bindir}/send-nntp
%attr(755,root,root) %{_bindir}/send-uucp
%attr(755,root,root) %{_bindir}/sendinpaths
%attr(755,root,root) %{_bindir}/sendxbatches
%attr(755,root,root) %{_bindir}/shlock
%attr(755,root,root) %{_bindir}/shrinkfile
%attr(755,root,root) %{_bindir}/signcontrol
%attr(755,root,root) %{_bindir}/simpleftp
%attr(755,root,root) %{_bindir}/sm
%attr(755,root,root) %{_bindir}/tally.control
%attr(755,root,root) %{_bindir}/tdx-util
%attr(755,root,root) %{_bindir}/writelog

# MAN
%{_mandir}/man1/convdate.1*
%{_mandir}/man1/fastrm.1*
%{_mandir}/man1/getlist.1*
%{_mandir}/man1/grephistory.1*
%{_mandir}/man1/innconfval.1*
%{_mandir}/man1/innfeed.1*
%{_mandir}/man1/innmail.1*
%{_mandir}/man1/nntpget.1*
%{_mandir}/man1/pgpverify.1*
%{_mandir}/man1/pullnews.1*
%{_mandir}/man1/rnews.1*
%{_mandir}/man1/shlock.1*
%{_mandir}/man1/shrinkfile.1*
%{_mandir}/man1/simpleftp.1*
%{_mandir}/man1/sm.1*
%{_mandir}/man1/startinnfeed.1*
%{_mandir}/man[58]/*
%lang(pl) %{_mandir}/pl/man1/getlist.1*
%lang(pl) %{_mandir}/pl/man8/innd.8*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libinn.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libinn.so.2
%attr(755,root,root) %{_libdir}/libinnhist.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libinnhist.so.2
%attr(755,root,root) %{_libdir}/libstorage.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libstorage.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libinn.so
%attr(755,root,root) %{_libdir}/libinnhist.so
%attr(755,root,root) %{_libdir}/libstorage.so
%{_libdir}/libinn.la
%{_libdir}/libinnhist.la
%{_libdir}/libstorage.la
%{_includedir}
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libinn.a
%{_libdir}/libinnhist.a
%{_libdir}/libstorage.a

%files -n inews
%defattr(644,root,root,755)
%attr(755,root,news) %{_bindir}/inews
%{_mandir}/man1/inews.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: inn.spec,v $
Revision 1.199  2010/06/06 08:53:08  arekm
- release 6

Revision 1.198  2010/05/22 15:46:28  gotar
- fixed Group

Revision 1.197  2010/05/18 14:26:44  sparky
- reverted adapter breakage (thx qboosh)
- dropped bogus part of pt_BR description

Revision 1.196  2010/05/18 13:36:02  sparky
- BR: rpm-perlprov
- dropped unused BR: libcom_err-devel

Revision 1.195  2010/04/12 19:25:44  arekm
- release 5

Revision 1.194  2009/12/20 20:11:03  arekm
- release 4

Revision 1.193  2009/09/12 11:09:51  radek
- release 3: strict DynaLoader dep no longer required

Revision 1.192  2009/09/09 08:12:46  blues
- run innupgrade on package upgrade.

Revision 1.191  2009/09/04 14:23:23  blues
- if history exists don't rebuild dbz - takes a LOT of time.
  NOTE: 2.5.0 is new line

Revision 1.190  2009/07/02 23:49:25  baggins
- rel 1
- switch to heimdal kerberos

Revision 1.189  2009/05/14 23:28:33  gotar
- R: rc-scripts >= 0.4.1.23 due to --pidfile daemon() option; prevents:
  nice: invalid priority `--pidfile

Revision 1.188  2009/03/16 19:12:27  blues
- 2.4.6

Revision 1.187  2009/02/12 14:35:28  gotar
- oops, broken wc output

Revision 1.186  2009/02/12 14:31:38  gotar
- adjusted %post chmod to match %files section of %ghost files (history),
- removed active.times checking from %post (regular file from %files),
- sorting, cosmetics

Revision 1.185  2009/02/12 14:11:31  gotar
- removed ancient TODO, %post was a nightmare messing with syslog 3 yrs ago

Revision 1.184  2009/02/12 14:07:20  gotar
- concise %post

Revision 1.183  2008/08/18 15:14:48  blues
- add nnrpd_no_trace.patch - don't put L_TRACE messages to log, causes big
  load of syslog daemon, even if you put it /dev/null

Revision 1.182  2008/08/18 13:07:50  blues
- add dir for pgp keys

Revision 1.181  2008/08/12 07:49:52  blues
- rel.2

Revision 1.180  2008/08/07 06:32:14  blues
- back to main ftp site

Revision 1.179  2008/08/06 14:17:05  blues
- rel.1 - at least builds

Revision 1.178  2008/08/06 14:03:50  blues
- 2.4.5 - temporary URL, removed outdated options

Revision 1.177  2008/06/13 05:19:41  qboosh
- updated to 2.4.4
- updated install,db,config patches
- lib_install_modes patch merged into install patch (together with fix for libtool 2.x)
- removed obsolete db4.4,perl-segv patches

Revision 1.176  2008-02-20 15:54:50  qboosh
- one more fix in perl-segv patch (nnrpd SEGV when trying to post article)
- release 0.4

Revision 1.175  2008-02-17 23:21:33  qboosh
- added perl-segv patch to fix SEGV with perl 5.10
- release 0.3

Revision 1.174  2008-02-17 21:40:56  qboosh
- updated db,db4 patches to support db4.[56]
- updated ac253 patch to fix autoheader (needed to get missing define for et/com_err.h)
- added asneeded patch to workaround -as-needed issue (not fully resolved,
  there is libstorage<>libinnhist circular dependency)
- ghost soname symlinks
- fallback to creating empty history if makehistory fails
- release 0.2

Revision 1.173  2007-09-11 12:30:07  gotar
- oops, it's 3.7-4 not 3.7.4

Revision 1.172  2007/09/11 12:15:57  gotar
- C: logrotate < 3.7.4 due to archiv -> archive transition

Revision 1.171  2007/04/02 17:29:46  baggins
- more s|/var/log/archiv|/var/log/archive|g

Revision 1.170  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.169  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.168  2006/03/25 17:19:11  qboosh
- updated to 2.4.3
- new patches: db4.4 (support for db 4.4.x), libdir (fixes path issue in *.la)

Revision 1.167  2006/03/25 15:50:53  glen
- more logs cleanup (or does it write directly there?)

Revision 1.166  2006/03/25 15:34:25  qboosh
- create+own /home/services/news dir
- don't mess with syslog configuration - PLD syslogs handle news.* by default now

Revision 1.165  2006/02/28 19:50:36  glen
- use %service, unify docdir in %desc, fixed getent http, tabs, planted FIXME-TODO-KILLME-s allover %post, add blocker due that

Revision 1.164  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.163  2004/12/29 19:34:53  qboosh
- updated to 2.4.2, updated PLD,db,install patches
- removed obsolete timecaf_oversized_art,kill_warnings,64bit_pointers patches
- new-style bcond

Revision 1.162  2004/11/20 16:54:48  radek
- release 2: require DynaLoader in version available at build time

Revision 1.161  2004/08/08 10:16:46  andree
- ops

Revision 1.160  2004/08/08 09:46:45  andree
- cleanups; rel. 1

Revision 1.159  2004/08/07 22:19:05  andree
- updated,fixed configure options
- package new files (filter_innd)
- remove sources with config files, use patched original
- rel. 0.9 - need to be tested

Revision 1.158  2004/08/06 13:36:45  andree
- added -config.patch (fix cycbuff dir)
- removed obsoleted patches

Revision 1.157  2004/08/01 09:37:37  qboosh
- %post requires sed 4.0 now

Revision 1.156  2004/08/01 00:45:26  andree
- fixed %post (don't create history, makehistory does it); cleanups

Revision 1.155  2004/06/29 09:40:22  qboosh
- updated URL

Revision 1.154  2004/06/21 20:18:36  qboosh
- strict internal deps

Revision 1.153  2004/06/20 22:45:20  bartowl
- release raised, because Require: deps added

Revision 1.152  2004/06/20 22:17:28  bartowl
- added req:inn-libs to inews

Revision 1.151  2004/03/19 23:46:27  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.150  2004/02/09 14:10:34  jajcus
- finnaly resolved the AMD64 crash problem (-64bit_pointers.patch)

Revision 1.149  2004/02/06 16:57:57  jajcus
- Release: 0.3
- define _GNU_SOURCE in CFLAGS so all needed function prototypes are defined
- -kill_warnings.patch added to kill other possible bugs
  Warning: still crashes on AMD64 :(

Revision 1.148  2004/02/06 11:25:49  jajcus
- Release: 0.2
- timecaf storage driver improved so it won't crash on some broken archives (-timecaf_oversized_art.patch)
- library instalation modes fixed so make install won't break on ranlib

Revision 1.147  2004/01/08 19:37:24  qboosh
- SECURITY UPDATE to 2.4.1 (fixes buffer overflow in control messages parsing
  introduced in 2.4.0)
- updated PLD and install patches

Revision 1.146  2003/12/05 09:42:23  qboosh
- release 0.6

Revision 1.145  2003/12/05 09:11:30  jajcus
- setgid patch added to properly set INN tools gid, so they can access root:news directories properly
- patches renumbered (possibly obsolete patches at the end)

Revision 1.144  2003/12/04 18:34:07  mmazur
- now builds with db4.2

Revision 1.143  2003/12/02 16:12:37  mmazur
- rel 0.5 to rebuild with new db

Revision 1.142  2003/11/23 04:29:47  speedy
- for ac (release 0.4)

Revision 1.141  2003/11/21 12:21:08  qboosh
- config.cache doesn't exist in current inn source package

Revision 1.140  2003/11/21 12:19:26  qboosh
- perl has epoch 1; and real dependency problem exists in poldek

Revision 1.139  2003/11/21 11:10:46  speedy
- fixed required.
- release 0.3

Revision 1.138  2003/11/17 22:16:03  qboosh
- updated ac25x patch for new autoconf madness - defining relative abs_builddir
- release 0.2

Revision 1.137  2003/11/11 02:15:08  qboosh
- BR: automake

Revision 1.136  2003/11/01 16:04:19  qboosh
- updated some settings in inn.conf - should be OK with inn 2.4.0 now

Revision 1.135  2003/09/30 20:18:23  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.134  2003/09/11 13:08:34  qboosh
- added TODO (default inn.conf is outdated, update required to start innd)

Revision 1.133  2003/08/19 14:05:06  qboosh
- updated _noauto for new wrappers

Revision 1.132  2003/08/04 11:35:58  qboosh
- use SUSv2-compliant chown syntax (user:group) instead of deprecated

Revision 1.131  2003/06/29 16:11:21  qboosh
- started update to 2.4.0
- removed obsolete ipv6,nolibs,link patches
- disabled setreuid,sec,frsize patches (probably obsolete)
- updated PLD,db,ac253 patches
- WARNING: ipv6 configuration options have changed... (trigger added)
  some standard configuration options must be updated too (by innupgrade?)

Revision 1.130  2003/05/28 12:59:09  malekith
- massive attack: source-md5

Revision 1.129  2003/05/25 05:48:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.128  2003/04/12 22:01:48  qboosh
- updated to 2.3.5

Revision 1.127  2003/03/17 21:59:50  qboosh
- release 2: rebuild for perl 5.8.0

Revision 1.126  2003/02/14 23:32:53  qboosh
- use getent instead of su to get current home

Revision 1.125  2003/02/13 14:03:33  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.124  2003/01/14 21:59:42  qboosh
- updated to 2.3.4
- updated db3 patch (now called just db patch), removed obsolete db4 patch

Revision 1.123  2003/01/12 23:26:19  radek
- updated Source0 URL

Revision 1.122  2003/01/05 13:23:46  qboosh
- added link patch to link libstorage with libinn and db

Revision 1.121  2003/01/05 03:31:22  qboosh
- added nolibs patch to avoid linking with -lresolv and -lelf (it's not
  necessary on Linux)
- added one more fix to ac253 patch
- run aclocal (needed with new libtool)
- fixed subscriptions file path (/etc/news, not /var/lib/news),
  use empty file by default
- added missing files: gpgverify program, fastrm(1),innmail(1) manuals

Revision 1.120  2002/12/29 21:18:43  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.119  2002/11/08 13:26:21  baggins
- release 2
- added db4 patch
- fixed ipv6 patch (allocator in 2.2 is b0rken if it didn't catch this :/)

Revision 1.118  2002/10/31 08:48:02  qboosh
- merged version 2.3.3 from DEVEL

Revision 1.117  2002/06/23 20:32:29  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.116  2002/05/21 23:13:37  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.115.2.1  2002/05/09 22:23:26  qboosh
- 2.3.3, updated ipv6 and db3 patches, added ac253 patch for new autoconf
- HOME for user news is /home/services/news now (to work as news user)
- wait up to 0.5s for innwatch start to avoid false "FAIL" message

Revision 1.115  2002/04/25 16:36:42  arturs
- fixed a small typo

Revision 1.114  2002/04/11 14:22:54  qboosh
- Obsoletes: leafnode, leafnode+; release 10

Revision 1.113  2002/02/28 13:11:09  mkochano
- Release 9.
- chgrp uucp->news /usr/bin/rnews so it can be executed from crontab.

Revision 1.112  2002/02/24 23:20:03  mkochano
- Release 8.
- Requires procps, textutils and awk. Default innwatch.ctl needs "awk",
  "tr" and "uptime".

Revision 1.111  2002/02/23 02:59:07  kloczek
- adapterized.

Revision 1.110  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.109  2002/01/18 02:13:20  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.108  2001/11/10 23:23:36  ankry
- added pl man pages
- release 7

Revision 1.107  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.106  2001/10/30 00:40:57  kloczek
- release 6,
- merged translations from CNV,
- spec adapterized.

Revision 1.105  2001/09/26 11:12:28  qboosh
- adapterized, BuildRequires: libtool

Revision 1.104  2001/09/11 20:12:54  qboosh
- detach innwatch from terminal
- Requires: util-linux (/usr/bin/setsid)
- ac25x patch
- release 2

Revision 1.103  2001/09/11 12:34:31  kloczek
- cosmetics.

Revision 1.102  2001/07/26 05:42:09  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.100  2001/06/19 16:14:37  qboosh
- updated v6 patch (not tested)

Revision 1.99  2001/05/22 09:06:23  wiget
- switch to new conditional builds macros (bcond_on_ ->
  _with_/bcond_off_ -> _without_); no release changes only simple s///
  perfored

Revision 1.98  2001/05/20 12:58:35  kloczek
- start upgrade to 2.3.2,
- removed gcc obsoleted patch,
  NOTE: ipv6 patch must be updated.

Revision 1.97  2001/05/12 00:45:37  kloczek
- release 16,
- rebuild against openssl 0.9.6a,
- added missing BuildRequires rule for openssl-devel.

Revision 1.96  2001/05/05 19:43:02  kloczek
- BuildRequires for perl changed to perl-devel >= 5.6.1.

Revision 1.95  2001/04/28 15:09:34  qboosh
- Requires: psmisc >= 20.1 (because of /bin/killall used in logrotate script)
- release up

Revision 1.94  2001/04/17 12:04:38  baggins
- release 14
- rebuild with perl 5.6.1

Revision 1.93  2001/04/14 18:00:03  baggins
- removed explicit requirements for perl = %{version} and %{perl_sitearch}
  they will be added by rpm if needed

Revision 1.92  2001/04/09 00:05:49  qboosh
- don't provide perl(Net::NNTP)
- removed rpm-perl-workaround patch, use noautoreq macro instead
- release 13

Revision 1.91  2001/03/14 17:42:07  qboosh
- workaround for rpm perl-requires
  (don't require perl(CDB_File) - it's required only by nnrpd_auth.pl)
- release 12

Revision 1.90  2001/03/12 16:54:33  baggins
- release 11
- updated v6 patch
- fixed logrotate

Revision 1.89  2001/03/09 17:08:02  qboosh
- missing dir in inn-devel: %{_includedir}/inn

Revision 1.88  2001/02/28 02:38:59  baggins
- release 10
- removed dependency on perl-GD
- added info about innreport and perl-GD to description

Revision 1.87  2001/02/17 00:37:44  qboosh
- fixed RCclose changes in v6 patch (caused SEGV during shutdown)
- release 9

Revision 1.86  2001/02/10 14:59:13  baggins
- release 8
- config(noreplace) for logrotate config

Revision 1.85  2001/02/05 17:14:11  baggins
- release 7
- updated ipv6 patch (always use fqdn in nnrpd)

Revision 1.84  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.83  2001/01/30 01:07:48  kloczek
- release 6: merge frsize, sec and gcc patches from rawhide.

Revision 1.82  2001/01/29 13:44:06  baggins
- added requires perl-GD (for generating html reports)

Revision 1.81  2001/01/28 04:15:13  baggins
- release 5
- fix ipv6 patch for v4mapped addresses

Revision 1.80  2001/01/27 21:22:55  baggins
- fixed IPv6 patch and removed brokenipv6patch patch

Revision 1.79  2001/01/27 19:05:20  qboosh
- BuildRequires: flex, bison (not byacc)
- IPv6 patch was broken - inn didn't work on IPv4-only system
- perl dependencies
- inn-devel Requires: db3-devel
- release 4

Revision 1.78  2001/01/23 17:49:09  baggins
- release 3
- fixed IPv6 patch
- added default readers.conf

Revision 1.77  2001/01/22 21:07:10  baggins
- added setreuid patch

Revision 1.76  2001/01/22 20:39:02  baggins
- group news for inndstart

Revision 1.75  2001/01/22 19:37:36  baggins
- release 2
- fixed %post scripts
- fixed init script

Revision 1.74  2001/01/22 19:24:42  baggins
- fixed stupid typo in %post

Revision 1.73  2001/01/22 13:43:57  baggins
- upgrade to 2.3.1

Revision 1.72  2000/12/22 07:40:05  kloczek
- added byacc to BuildRequires.

Revision 1.71  2000/12/22 07:31:14  kloczek
- release 10: rebuild against db3.

Revision 1.70  2000/12/10 16:10:52  jajcus
- o+x for /var/spool/news (or "su news" won't chdir to it)

Revision 1.69  2000/12/09 19:35:25  jajcus
- /var/run/news must be owned by user news

Revision 1.68  2000/12/09 17:55:14  jajcus
- file owners fixed (semi-automatically)
  (no special user (like http/news) should own his home directory nor
  files it doesn't create)

Revision 1.67  2000/10/15 22:42:37  lukasz
- added innreport-patch (needed only by inn 2.2.3)
- Release 9

Revision 1.66  2000/10/12 03:26:10  kloczek
- release 8: use new rpm automation.

Revision 1.65  2000/09/15 12:57:21  baggins
- release 7
- inn has to have prereq inn-libs
- moved /sbin/ldconfig to post in inn-libs
- small fix in ipv6 patch

Revision 1.64  2000/09/11 17:24:11  kloczek
- adapterized.

Revision 1.63  2000/09/06 23:41:02  baggins
- release 6
- fixed a bug in IPv6 patch that caused nnrpd segfault when backoff was enabled

Revision 1.62  2000/09/06 19:44:39  baggins
- release 5
- new and improved ipv6 patch

Revision 1.61  2000/09/04 18:42:53  baggins
- release 4
- updated and enabled IPv6 patch
- first try at fixing permissions

Revision 1.60  2000/09/01 13:50:33  baggins
- release 3
- fixed logrotate config

Revision 1.59  2000/08/04 20:19:20  kloczek
- fiew cosmetics.
- Note: patch for ipv6 must be rewrited.

Revision 1.58  2000/08/04 18:25:59  baggins
- release 2
- added libs package (I want suck but not inn)

Revision 1.57  2000/07/21 19:09:47  zagrodzki
- updated to 2.2.3
- inews is no longer installed with setgid

Revision 1.56  2000/06/09 07:23:01  kloczek
- added using %{__make} macro.

Revision 1.55  2000/05/21 01:39:50  kloczek
- spec adapterized.

Revision 1.54  2000/04/27 15:41:45  kloczek
- fixed stupid typo

Revision 1.53  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.52  2000/04/08 23:52:00  zagrodzki
- provides: nntpserver (to avoid using conflicts: ... many, many times)

Revision 1.51  2000/04/04 13:43:32  kloczek
- release 7,
- Reuires: rc-scripts >= 0.2.0,
- cosmetics.

Revision 1.50  2000/04/01 11:14:43  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.49  2000/03/28 16:54:32  baggins
- translated kloczkish into english

Revision 1.48  2000/03/11 00:47:00  waszi
- added Requires

Revision 1.47  2000/03/10 23:20:17  waszi
- modified perms for logrotate

Revision 1.46  2000/02/16 21:26:07  kloczek
- release 6,
- s/xfs/inn/

Revision 1.45  2000/02/14 06:19:46  kloczek
- standarized %post, %preun.

Revision 1.44  2000/02/14 04:48:44  kloczek
- release 5,
- remved inews from inn (this is in inews subpackage).

Revision 1.43  2000/02/03 23:23:05  kloczek
- release 4,
- perl moved from requires to BuildRequires,
- added static subpackage.

Revision 1.42  2000/02/01 15:04:30  baggins
- added noreplace for config files

Revision 1.41  2000/01/31 19:28:46  baggins
- release 3
- build with shared libraries (libinn and libstorage)

Revision 1.40  1999/12/18 14:02:50  waszi
- updated to 2.2.2

Revision 1.39  1999/12/07 21:24:27  kloczek
- do not use macros in sendmail path (/usr/lib is listed directly in FHS and
  can not be changed).

Revision 1.38  1999/12/06 09:43:53  waszi
- fixed permissions

Revision 1.37  1999/12/02 08:11:23  waszi
- small fixes

Revision 1.36  1999/12/01 10:00:31  waszi
- news.daily moved to %{_bindir}

Revision 1.35  1999/12/01 09:56:34  waszi
- news.daily moved to /etc/cron.daily

Revision 1.34  1999/12/01 08:54:07  kloczek
- added using %{_sysconfdir} macro i more places,
- permission on suid binaries changed to 4754,
- added /vat/log/archiv/news directory for archiving old inn logs (still
  is missing logrotate file for inn - must be added).

Revision 1.33  1999/11/26 09:30:05  waszi
- fixes in permissions

Revision 1.32  1999/11/25 05:48:15  wiget
- release up

Revision 1.31  1999/11/25 05:47:11  wiget
- added patch with IPv6 support and enabled it

Revision 1.30  1999/11/03 21:39:47  kloczek
- more rpm macros,
- removed news.news from files which can be root.root,

Revision 1.29  1999/11/02 09:20:33  waszi
- small fixes (added storage.h to devel)

Revision 1.28  1999/11/02 06:49:10  waszi
- cnfsstat.cron added
- fixes

Revision 1.27  1999/10/23 13:40:43  waszi
- added authdir patch

Revision 1.26  1999/10/21 07:58:21  wiget
- removed unused source

Revision 1.25  1999/10/21 07:51:23  wiget
- more Prereq

Revision 1.24  1999/10/21 07:45:02  waszi
- added /var/spool/news/artciles

Revision 1.23  1999/10/21 07:30:35  waszi
- small fixes

Revision 1.20  1999/10/20 06:16:33  waszi
- big update

Revision 1.19  1999/09/11 13:42:44  misiek
- fixed requires (PR#37)

Revision 1.18  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).
